speckley/src/SpeckleyDomain.h File Reference
`#include <speckley/Speckley.h>`
`#include <speckley/SpeckleyException.h>`
`#include <speckley/AbstractAssembler.h>`
`#include <speckley/domainhelpers.h>`
`#include <escript/AbstractContinuousDomain.h>`
`#include <escript/Data.h>`
`#include <escript/FunctionSpace.h>`
`#include <escript/SubWorld.h>`
`#include <boost/python/tuple.hpp>`
`#include <boost/python/list.hpp>`

Go to the source code of this file.

## Classes

struct | speckley::ReaderParameters
| Structure that wraps parameters for the grid reading routines. More...
struct | speckley::DiracPoint
| A struct to contain a dirac point's information. More...
class | speckley::SpeckleyDomain
| SpeckleyDomain extends the AbstractContinuousDomain interface for the Speckley library and is the base class for Rectangle and Brick. More...

## Namespaces

| speckley

## Typedefs

typedef std::map< std::string, int > | speckley::simap_t

## Enumerations

enum | speckley::assembler_t { speckley::DEFAULT_ASSEMBLER }